#!/bin/bash
# Arc Lettering Generator
# Ed Nisley KE4ZNU - 2019-06

Diameter='OuterDia=116mm'

Flags='-P 3 --pedantic'

# Set these to match your file layout
LibPath='/opt/gcmc/library'
Prolog='/mnt/bulkdata/Project Files/Mostly Printed CNC/Firmware/gcmc/prolog.gcmc'
Epilog='/mnt/bulkdata/Project Files/Mostly Printed CNC/Firmware/gcmc/epilog.gcmc'

Script='/mnt/bulkdata/Project Files/Mostly Printed CNC/Patterns/Arc Lettering/ArcLetter.gcmc'

ts=$(date +%Y%m%d-%H%M%S)

fn='ArcLetter_'${ts}'.ngc'
echo Output: $fn

rm -f $fn
echo "(File: "$fn")" > $fn

gcmc -D $Diameter $Flags \
 --include "$LibPath" --prologue "$Prolog" --epilogue "$Epilog" \
 "$Script" >> $fn

